- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Jev action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Assess deployment risk",
"type": "JEV",
"trigger_time": "ON_EVERY_EXECUTION",
"state": [
{
"type": "INLINE",
"value": "Commit: $BUDDY_RUN_COMMIT_MESSAGE"
},
{
"type": "FILE",
"value": "CHANGELOG.md"
}
],
"question": "How risky is this change to deploy?",
"question_type": "SCORE",
"model": "jev-1.13.0",
"criteria": {
"none": "Touches only documentation or comments",
"low": "Touches application code covered by tests",
"high": "Touches database migrations or public API contracts"
},
"integration": {
"identifier": "our-typesafe"
}
}'STATUS200 OK